Bug 19594 - Move admin templates JavaScript to the footer: MARC-related
Summary: Move admin templates JavaScript to the footer: MARC-related
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Josef Moravec
URL:
Whiteboard:
Keywords:
Depends on: 10306
Blocks: 13952 17858 19600 19601 19641
  Show dependency treegraph
 
Reported: 2017-11-08 16:47 UTC by Owen Leonard
Modified: 2017-12-28 07:05 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 19594: Move admin templates JavaScript to the footer: MARC-related (19.24 KB, patch)
2017-11-08 17:44 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 19594: Move admin templates JavaScript to the footer: MARC-related (19.29 KB, patch)
2017-11-09 11:21 UTC, Simon Pouchol
Details | Diff | Splinter Review
Bug 19594: Move admin templates JavaScript to the footer: MARC-related (19.35 KB, patch)
2017-12-05 10:42 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 19594: Move admin templates JavaScript to the footer: MARC-related (20.35 KB, patch)
2017-12-06 18:45 UTC, Owen Leonard
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2017-11-08 16:47:50 UTC
In order to conform to best practices for performance staff client template javascript should be in the footer instead of the header. This patch will do so for the MARC-related administration templates.
Comment 1 Owen Leonard 2017-11-08 17:44:25 UTC Comment hidden (obsolete)
Comment 2 Simon Pouchol 2017-11-09 11:21:00 UTC
Created attachment 69049 [details] [review]
Bug 19594: Move admin templates JavaScript to the footer: MARC-related

This patch modifies the staff client MARC-related administration
templates so that JavaScript is included in the footer instead of the
header.

To test, apply the patch and test the JavaScript-driven features of the
cart: All button controls, DataTables functionality, tabs, etc.

Signed-off-by: Simon Pouchol <simon.pouchol@biblibre.com>
Comment 3 Josef Moravec 2017-12-05 10:42:40 UTC
Created attachment 69496 [details] [review]
Bug 19594: Move admin templates JavaScript to the footer: MARC-related

This patch modifies the staff client MARC-related administration
templates so that JavaScript is included in the footer instead of the
header.

To test, apply the patch and test the JavaScript-driven features of the
cart: All button controls, DataTables functionality, tabs, etc.

Signed-off-by: Simon Pouchol <simon.pouchol@biblibre.com>

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 4 Josef Moravec 2017-12-05 10:46:37 UTC
Comment for RM: After this patch the bold emphasizing of some items in admin menu will be broken until these bugs are pushed:
bug 19600 
bug 19601
bug 19607
bug 19608
bug 19603
Comment 5 Jonathan Druart 2017-12-06 17:55:48 UTC
I will need this to be based on top of bug 10306.
Comment 6 Owen Leonard 2017-12-06 18:45:22 UTC
Created attachment 69572 [details] [review]
Bug 19594: Move admin templates JavaScript to the footer: MARC-related

This patch modifies the staff client MARC-related administration
templates so that JavaScript is included in the footer instead of the
header.

To test, apply the patch and test the JavaScript-driven features of the
cart: All button controls, DataTables functionality, tabs, etc.

Signed-off-by: Simon Pouchol <simon.pouchol@biblibre.com>

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 7 Jonathan Druart 2017-12-11 14:35:57 UTC
Pushed to master for 18.05, thanks to everybody involved!
Comment 8 Nick Clemens 2017-12-14 17:50:56 UTC
Awesome work all! Skipping for 17.11, enhancement